
Foreman - Bug #11847

Override of global parameter on host form creates empty name/value row

09/16/2015 07:35 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2744

  

Description

The host edit form fails to override global, inherited parameters correctly, just creating an empty name/value row without any existing

name/value.

The new_param variable in the override_param function seems to be picking up the wrong elements, then it can't find the

name/value from the existing parameter.

Tested on 570fb4c.

Related issues:

Has duplicate Foreman - Bug #11917: Overriding a global parameter for a host ... Duplicate 09/22/2015

Associated revisions

Revision 8e49e121 - 09/21/2015 07:32 AM - Shlomi Zadok

Fixes #11847 - find overridable global parameters by .fields selector

History

#1 - 09/20/2015 07:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2744 added

- Pull request deleted ()

#2 - 09/21/2015 07:32 AM - Dominic Cleal

- Assignee set to Shlomi Zadok

#3 - 09/21/2015 08:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8e49e12141b2f846b52487ce43fac5b10068bf1a.

#4 - 09/22/2015 09:58 AM - Dominic Cleal

- Has duplicate Bug #11917: Overriding a global parameter for a host results in an empty parameter name added
